#
# spec file for package gimp-save-for-web
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gimp-save-for-web
Version:        0.29.3
Release:        13.33
Summary:        Save for Web plug-in for The Gimp
License:        GPL-2.0+
Group:          Productivity/Graphics/Bitmap Editors
Url:            http://registry.gimp.org/node/33
Source:         http://registry.gimp.org/files/%{name}-%{version}.tar.bz2
BuildRequires:  automake
BuildRequires:  gimp-devel
BuildRequires:  intltool
BuildRequires:  libtool
%if %{?gimp_api_version:1}0
Requires:       gimp(abi) = %{gimp_abi_version}
Requires:       gimp(api) = %{gimp_api_version}
%else
%requires_eq gimp
%endif
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Save for Web allows to find compromise between minimal file size and
acceptable quality of image quickly. While adjusting various settings,
you may explore how image and file size change. Options to decrease
image file size include setting quality, number or colors, resizing,
cropping, Exif information removal, etc.

%lang_package
%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang gimp20-save-for-web

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/gimp/2.0/plug-ins/webexport
%{_datadir}/gimp-save-for-web/

%files lang -f gimp20-save-for-web.lang

%changelog
* Mon Aug 27 2012 vuntz@opensuse.org
- Change License tag from "GPL-2.0+;MIT" to GPL-2.0+: I think it's
  all GPL-2.0+ really, and the COPYING file is wrong (see
  https://github.com/auris/gimp-save-for-web/issues/8).
  Fix bnc#735009.
* Fri Dec  2 2011 coolo@suse.com
- Add automake and libtool BuildRequires to avoid implicit
  dependencies from prjconf.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 0.29.3:
  + Fix build with GIMP 2.7+
  + Fix build errors
  + Updated translations.
- Drop gsfw-libm.patch: fixed upstream.
* Wed Sep 28 2011 vuntz@opensuse.org
- Rewrite gsfw-libm.patch to use the recommended way to find libm.
- Drop gimp-save-for-web-0.27.0-docdir.patch: this is not needed
  and likely breaks opening the help for the plugin. Also stop
  passing --docdir to configure, since this was only needed because
  of the change in the patch.
- Split translations in a lang subpackage, and add Recommends for
  the lang subpackage to main package.
- Remove now unneeded %%clean section.
* Sat Sep 24 2011 crrodriguez@opensuse.org
- Add gsfw-libm.patch: link to libm.
* Fri Jan  7 2011 vuntz@opensuse.org
- Run spec-cleaner: no real change, except a cleaner .spec file.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 0.29.0:
  + Updated configurations.
  + Updated translations.
* Mon Aug 31 2009 coolo@novell.com
- do not use 2.00 as boolean
* Thu Aug 20 2009 crrodriguez@suse.de
- use plugin versioning macros
* Tue Sep  2 2008 crrodriguez@suse.de
- update to version 0.28.6
  * locale update and minor bug fixes
* Sat Jul 26 2008 crrodriguez@suse.de
- update to version 0.28.5
  * Add newer locales
* Thu May  8 2008 rodrigo@suse.de
- Tag patches
* Fri Apr  4 2008 crrodriguez@suse.de
- update to version 0.28.4
  * Allow bigger images to be processed
  * fix misc crashes
* Wed Mar 12 2008 crrodriguez@suse.de
- update to version 0.28.3
  * added japanese translation
* Wed Feb 13 2008 crrodriguez@suse.de
- to avoid any possible incompatibility, require the same gimp version
  against it was built.
- update to version 0.28.2
  * translation updates and other minor fixes.
* Tue Dec 25 2007 crrodriguez@suse.de
- version 0.28.1
* Tue Nov 13 2007 crrodriguez@suse.de
- Initial version
